require 'rails_helper'

RSpec.describe "settings/accounts/index", type: :view do
  before(:each) do
    assign(:settings_accounts, [
      Settings::Account.create!(
        :title => "Title",
        :account_type => "Account Type"
      ),
      Settings::Account.create!(
        :title => "Title",
        :account_type => "Account Type"
      )
    ])
  end

  it "renders a list of settings/accounts" do
    render
    assert_select "tr>td", :text => "Title".to_s, :count => 2
    assert_select "tr>td", :text => "Account Type".to_s, :count => 2
  end
end
